﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Input;

namespace BPA.WeimoCube.Common
{
  /// <summary>
  /// 绑定事件
  /// </summary>
  public class Command : ICommand
  {
    public event EventHandler? CanExecuteChanged;

    public bool CanExecute(object? parameter)
    {
      if (DoCanExecute == null) return true;
      return DoCanExecute.Invoke(parameter);
    }

    public void Execute(object? parameter)
    {
      DoExecute?.Invoke(parameter);
    }

    public Action<object> DoExecute { get; set; }
    public Func<object, bool> DoCanExecute { get; set; }

    public Command(Action<object> doExecute,Func<object,bool> doCanExecute) {
      DoExecute=doExecute;
      DoCanExecute=doCanExecute;
    }

    public Command(Action<object> doExecute) : this(doExecute, null) { }
  }
}
