﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Runtime.CompilerServices;
using System.Text;
using System.Threading.Tasks;

namespace BPA.WeimoCube.Common
{
  /// <summary>
  /// 双向绑定
  /// </summary>
  public class NotifyBase : INotifyPropertyChanged
  {
    public event PropertyChangedEventHandler? PropertyChanged;

    public void RaisePropertyChanged(string propName)
    {
      PropertyChanged?.Invoke(this, new PropertyChangedEventArgs(propName));
    }

    #region 属性设置
    public void Set<T>(ref T field, T value, [CallerMemberName] string propName = "")
    {
      if (!field.Equals(value))
        {
        field = value;
        PropertyChanged?.Invoke(this, new PropertyChangedEventArgs(propName));
      }
    }
    #endregion
  }
}
