﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Text;
using System.Text.RegularExpressions;
using System.Threading.Tasks;
using System.Windows;

namespace BPA.WeimoCube.Common
{
  /// <summary>
  /// 判断工具类
  /// </summary>
  public class PanDuanGongJ
  {
    /// <summary>
    /// 判断端口号是否正确
    /// </summary>
    /// <param name="port"></param>
    /// <returns></returns>
    public static bool IsIPPort(string port)
    {

      bool isPort = false;
      int portNum;
      //将字符串转化为整数
      isPort = Int32.TryParse(port, out portNum);

      if (isPort && portNum >= 0 && portNum <= 65535)
      {
        isPort = true;
      }
      else
      {
        isPort = false;
      }
      return isPort;
    }

    /// <summary>
    /// 判断ip是否合法
    /// </summary>
    /// <param name="IP"></param>
    public static bool IsIPGf(string IP) 
    {
      bool isIp = false;
      string regexStrIPV4 = (@"^(([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])$");
      if (Regex.IsMatch(IP, regexStrIPV4) && IP != "0.0.0.0")
      {
        isIp=true;
      }
      else
      {
       isIp=false;
      }
      return isIp;
    }
  }
}
